Recipes
Update a recipe
Partial update — send only the fields you are changing.
PATCH
/
v1
/
recipes
/
{id}
Update a recipe
curl --request PATCH \
--url https://brewgravity.com/v1/recipes/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"style": "<string>",
"type": "all_grain",
"batch_size_liters": 19,
"boil_time_minutes": 60,
"efficiency": 0.72,
"notes": "<string>"
}
'import requests
url = "https://brewgravity.com/v1/recipes/{id}"
payload = {
"name": "<string>",
"style": "<string>",
"type": "all_grain",
"batch_size_liters": 19,
"boil_time_minutes": 60,
"efficiency": 0.72,
"notes": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
style: '<string>',
type: 'all_grain',
batch_size_liters: 19,
boil_time_minutes: 60,
efficiency: 0.72,
notes: '<string>'
})
};
fetch('https://brewgravity.com/v1/recipes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"name": "<string>",
"style": "<string>",
"type": "all_grain",
"batch_size_liters": 123,
"boil_time_minutes": 123,
"efficiency": 123,
"notes": "<string>",
"est_color_srm": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
]
}Authorizations
An API key created from a signed-in session. See Authentication.
Path Parameters
Recipe id
Body
application/json
Recipe name
Minimum string length:
1Beer style, e.g. "American IPA"
Brewing method
Available options:
all_grain, extract, partial_mash Target volume in the fermenter, in litres
Boil duration in minutes
Required range:
x >= 0Brewhouse efficiency as a decimal (0–1)
Required range:
0 <= x <= 1Freeform recipe notes
Response
The updated recipe
Unique identifier
Owning account
Recipe name
Beer style
Brewing method
Available options:
all_grain, extract, partial_mash Target volume in the fermenter, in litres
Boil duration in minutes
Brewhouse efficiency as a decimal (0–1)
Freeform recipe notes
Estimated colour in SRM
ISO 8601 timestamp
ISO 8601 timestamp
⌘I
Update a recipe
